namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "revelation_dance")]
public class RevelationDance : Script, IScriptChangeMoveType
{
    /// <inheritdoc />
    public void ChangeMoveType(IExecutingMove move, IPokemon target, byte hit, ref TypeIdentifier? moveType)
    {
        // The type of the move is the same as the user's first type.
        var user = move.User;
        if (user.Types.Count > 0)
        {
            moveType = user.Types[0];
        }
        // If the user has no types, the move is typeless.
        else
        {
            moveType = null;
        }
    }
}